Subject: Firefox crashes when triggering file dialog open

From: Steven Roose <[email-masked]>
Date: Thu, 4 May 2023 03:00:18 +0100

Whenever I right click and "safe image as" or when I try to do a file 
upload, firefox segfaults.

This is an excerpt trying to save google's logo to disk:

** Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion 
failed (error == NULL): Failed to load 
/run/current-system/profile/share/icons/Adwaita/16x16/status/image-missing.png: 
Unrecognized image file format (gdk-pixbuf-error-quark, 3) Bail out! 
Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion failed 
(error == NULL): Failed to load 
/run/current-system/profile/share/icons/Adwaita/16x16/status/image-missing.png: 
Unrecognized image file format (gdk-pixbuf-error-quark, 3) Redirecting 
call to abort() to mozalloc_abort